﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Presentation.Events;

namespace PrismEvent.Infrastructure
{
    public class NullableEvent : CompositePresentationEvent<NullClass> { }



    public class MessageAddedEvent : CompositePresentationEvent<string> { }

    public class NewsAddedEvent : CompositePresentationEvent<News> { }



    public class StandardMessageAddedEvent : CompositePresentationEvent<string> { }



    public class NullClass { }

    public class News
    {
        public string Title { get; set; }
        public string Content { get; set; }
    }
}